<launch>
    <include file="$(find audio_capture)/launch/capture_wave.launch">
      <arg name="dst" value="appsink"/>
      <arg name="device" value=""/>
      <arg name="format" value="mp3"/>
      <arg name="bitrate" value="128"/>
      <arg name="channels" value="1"/>
      <arg name="depth" value="16"/>
      <arg name="sample_rate" value="16000"/>
      <arg name="sample_format" value="S16LE"/>
      <arg name="ns" value="/audio_capture/audio"/>
      <arg name="audio_topic" value="/audio_capture/audio"/>
    </include>

    <node pkg="audio-sample" type="sample_capture.py" name="sample_capture" output="screen" />
</launch>
